# $Revision: 1.148 $, $Date: 2010/03/08 13:34:59 $
# TODO:
# - tex deps (tetex-tex-babel seems to be required, but I'm not sure)
#
# Conditional build:
%bcond_without	system_boost	# build with included boost-1.36
#
Summary:	A WYSIWYM frontend to LaTeX
Summary(pl.UTF-8):	Nakładka WYSIWYM na LaTeXa
Summary(pt_BR.UTF-8):	Editor de Textos para ambiente Desktop
Name:		lyx
Version:	1.6.5
Release:	3
Epoch:		1
License:	GPL
Group:		Applications/Publishing/TeX
Source0:	http://ftp.lyx.org/pub/lyx/stable/1.6.x/%{name}-%{version}.tar.gz
# Source0-md5:	b93875104a3bfb5d4d9ad897c2feb6b3
Source1:	%{name}.desktop
Source2:	%{name}.png
URL:		http://www.lyx.org/
BuildRequires:	QtGui-devel
BuildRequires:	aiksaurus-devel
BuildRequires:	aspell-devel
BuildRequires:	autoconf >= 2.59-9
BuildRequires:	automake
%{?with_system_boost:BuildRequires:	boost-devel >= 1.35.0}
BuildRequires:	gettext-devel
BuildRequires:	libstdc++-devel
BuildRequires:	pkgconfig
BuildRequires:	qt4-build
BuildRequires:	rpm-pythonprov
BuildRequires:	sed >= 4.0
BuildRequires:	xorg-lib-libX11-devel
Requires(post,postun):	tetex
Requires:	gv
Requires:	python-modules
Requires:	tetex-format-latex
Requires:	tetex-latex
Requires:	xdvi
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		texmfdir	%{_datadir}/texmf

%description
LyX is a modern approach of writing documents with a computer which
breaks with the tradition of the obsolete typewriter concept. It is
designed for people who want a professional output with a minimum of
time effort, without becoming specialists in typesetting. Compared to
common word processors LyX will increase the productivity a lot, since
most of the typesetting will be done by the computer, not the author.
With LyX the author can concentrate on the contents of his writing,
since the computer will take care of the look.

%description -l pl.UTF-8
LyX jest nowoczesnym narzędziem służącym do pisania dokumentów
łamiącym dotychczasową, przestarzałą tradycję maszyny do pisania. LyX
został zaprojektowany dla ludzi, którzy chcą tworzyć profesjonalne
dokumenty przy jak najmniejszym nakładzie czasowym bez konieczności
bycia specjalistą w składzie tekstów. LyX pozwala autorowi skupić się
na zawartości dokumentu podczas gdy komputer zajmie się całą resztą.

%description -l pt_BR.UTF-8
Lyx é uma forma moderna de escrever documentos com um computador sem
que isso quebre os conceitos de uso de uma máquina de escrever
tradicional. Ele é feito para pessoas que necessitam de um resultado
profissional com um mínimo de esforço, sem também ser um especialista
em fontes. Comparado com um editor de textos padrão, LyX é um editor
de textos que irá aumentar a produtividade visto que as fontes serão
selecionadas pelo editor, não pelo digitador.

%prep
%setup -q

%build
cat config/*.m4 > acinclude.m4
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	%{?debug:--enable-debug} \
	--enable-nls \
	%{?with_system_boost:--without-included-boost} \
	--without-included-gettext \
	--with-qt4-dir=%{_libdir}/qt4 \
	--with-frontend=qt4 \
	--with-pspell

%{__make} all

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_desktopdir},%{_pixmapsdir}} \
	$RPM_BUILD_ROOT%{texmfdir}/tex/latex

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}
install %{SOURCE2} $RPM_BUILD_ROOT%{_pixmapsdir}

rm -f $RPM_BUILD_ROOT%{_datadir}/lyx/{doc/LaTeXConfig.lyx,packages.lst}
ln -sf %{_datadir}/lyx/tex $RPM_BUILD_ROOT%{texmfdir}/tex/latex/lyx

sed -i -e 's,#! /usr/bin/env python,#!/usr/bin/python,' $RPM_BUILD_ROOT%{_datadir}/lyx/configure.py

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
umask 022
/usr/bin/texhash
cd %{_datadir}/lyx
./configure.py > /dev/null || :
if [ -f lyxrc.defaults ]; then
	cp -p lyxrc.defaults lyxrc
fi

%preun
if [ "$1" = "0" ]; then
	rm -f %{_datadir}/lyx/{lyxrc.defaults,lyxrc*}
	rm -f %{_datadir}/lyx/{doc/LaTeXConfig.lyx,packages.lst}
fi

%postun
umask 022
/usr/bin/texhash

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc ANNOUNCE README NEWS
%attr(755,root,root) %{_bindir}/*
%dir %{texmfdir}/tex/latex/lyx
%dir %{_datadir}/lyx
%dir %{_datadir}/lyx/commands
%{_datadir}/lyx/CREDITS
%{_datadir}/lyx/bind
%{_datadir}/lyx/chkconfig.ltx
%{_datadir}/lyx/commands/default.def
%{_datadir}/lyx/doc/clipart
%attr(755,root,root) %{_datadir}/lyx/configure*
%dir %{_datadir}/lyx/doc
%{_datadir}/lyx/doc/[A-Z]*
%{_datadir}/lyx/doc/biblio
%lang(ca) %{_datadir}/lyx/doc/ca
%lang(cs) %{_datadir}/lyx/doc/cs
%lang(da) %{_datadir}/lyx/doc/da
%lang(de) %{_datadir}/lyx/doc/de
%lang(es) %{_datadir}/lyx/doc/es
%lang(eu) %{_datadir}/lyx/doc/eu
%lang(fr) %{_datadir}/lyx/doc/fr
%lang(gl) %{_datadir}/lyx/doc/gl
%lang(he) %{_datadir}/lyx/doc/he
%lang(hu) %{_datadir}/lyx/doc/hu
%lang(id) %{_datadir}/lyx/doc/id
%lang(it) %{_datadir}/lyx/doc/it
%lang(ja) %{_datadir}/lyx/doc/ja
%lang(nb) %{_datadir}/lyx/doc/nb
%lang(nl) %{_datadir}/lyx/doc/nl
%lang(pl) %{_datadir}/lyx/doc/pl
%lang(pt) %{_datadir}/lyx/doc/pt
%lang(ro) %{_datadir}/lyx/doc/ro
%lang(ru) %{_datadir}/lyx/doc/ru
%lang(sk) %{_datadir}/lyx/doc/sk
%lang(sl) %{_datadir}/lyx/doc/sl
%lang(sv) %{_datadir}/lyx/doc/sv
%lang(uk) %{_datadir}/lyx/doc/uk
%{_datadir}/lyx/encodings
%{_datadir}/lyx/examples
%{_datadir}/lyx/external_templates
%{_datadir}/lyx/fonts/
%{_datadir}/lyx/images
%{_datadir}/lyx/kbd
%{_datadir}/lyx/languages
%{_datadir}/lyx/layouts
%attr(755,root,root) %{_datadir}/lyx/lyx2lyx
%attr(755,root,root) %{_datadir}/lyx/scripts
%{_datadir}/lyx/symbols
%{_datadir}/lyx/syntax.default
%{_datadir}/lyx/templates
%{_datadir}/lyx/tex
%{_datadir}/lyx/ui
%{_datadir}/lyx/unicodesymbols
%{_mandir}/man*/*
%{_desktopdir}/*.desktop
%{_pixmapsdir}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: lyx.spec,v $
Revision 1.148  2010/03/08 13:34:59  hawk
- release 3

Revision 1.147  2010/01/01 12:23:23  arekm
- release 2

Revision 1.146  2009/12/20 19:20:46  adamg
- updated to 1.6.5

Revision 1.145  2009/09/02 06:39:43  amateja
- updated to 1.6.4.1

Revision 1.144  2009/08/29 10:06:46  pluto
- release 2 (rebuild with boost-1.40.0)

Revision 1.143  2009/08/27 06:45:35  arekm
- up to 1.6.4

Revision 1.142  2009/06/21 12:48:01  hawk
- fixed install stage, release 3

Revision 1.141  2009/06/21 11:47:07  hawk
- release 2

Revision 1.140  2009/03/15 14:49:02  duddits
- up to 1.6.2
- Source0 updated

Revision 1.139  2009/03/09 06:21:25  pawelz
- fixed mistake in last commit log (thx sls)

Revision 1.138  2009/03/08 13:00:21  pawelz
- R: tetex-format-latex
- TODO (more deps)

Revision 1.137  2009/01/07 14:00:10  sls
- works with system boost

Revision 1.136  2008/12/19 00:03:32  adamg
- updated to 1.6.1

Revision 1.135  2008/11/14 12:05:07  duddits
- up to 1.6.0
- more verbose %files
- new locales (ca,ja,uk)

Revision 1.134  2008/10/08 12:34:14  duddits
- last change reverted

Revision 1.133  2008/10/08 09:45:15  duddits
- BR added

Revision 1.132  2008/08/11 21:22:44  charles
- updated %configure

Revision 1.131  2008/07/31 14:03:54  sls
- rel. 1 (unfortunately still doesn't build with boost-1.35)
- minor cleanup

Revision 1.130  2008/07/31 12:56:23  sls
- ver. 1.5.6 (NFY)

Revision 1.129  2008/06/22 17:20:05  charles
- BR: pkgconfig

Revision 1.128  2008/06/11 14:34:39  charles
- BR: gettext-devel, qt4-build

Revision 1.127  2008-06-03 13:01:32  sls
- doesn't build with boost-1.35 ('lookup_errno' is not a member of 'fs')
  use internal boost-1.34

Revision 1.126  2008-05-20 22:18:55  sls
- ver. 1.5.5

Revision 1.125  2008-05-18 16:19:26  adamg
- previous commit reverted (mistake)

Revision 1.123  2008-04-29 14:06:07  pluto
- reorganize boost BRs (boost-devel >= 1.35.0).

Revision 1.122  2008-03-09 16:53:47  arekm
- up to 1.5.4

Revision 1.121  2007-12-26 15:11:30  adamg
- BR: boost-signals-devel

Revision 1.120  2007-12-16 20:32:17  adamg
- updated to 1.5.3

Revision 1.119  2007/10/30 09:13:13  sls
- removed BR: bzip2-devel
- adapterized

Revision 1.118  2007/10/30 01:24:28  sls
- removed BR for xfonts

Revision 1.117  2007/10/30 01:07:08  sls
- rel. 2
- sorted BR
- BR: boost-bind-devel
- cleanups

Revision 1.116  2007/10/30 00:02:46  sls
- BR: boost-test-devel (required boost/test/utils/nullstream.hpp)

Revision 1.115  2007/09/23 20:44:13  sls
- use lang(gl) for _datadir/lyx/doc/gl

Revision 1.114  2007/09/23 20:06:17  sls
- rel. 1.1 (still NFY)
- fixes in files section

Revision 1.113  2007/09/23 20:01:28  sls
- removed -fno-exceptions, it breaks compilation
  (InsetCitation.cpp:94: error: 'fserr' was not declared in this scope)

Revision 1.112  2007/08/11 21:46:42  aredridel
- begin move to 1.5.1 (NFY)

Revision 1.111  2007/08/01 09:58:20  adamg
- updated to 1.4.5.1

Revision 1.110  2007/06/14 18:25:12  arekm
- rel 2

Revision 1.109  2007/04/01 00:51:22  arekm
- up to 1.4.4

Revision 1.108  2007/02/13 06:46:53  glen
- tabs in preamble

Revision 1.107  2007/02/12 00:49:06  baggins
- converted to UTF-8

Revision 1.106  2006/12/18 12:17:00  qboosh
- individual tools invocation instead of autogen.sh
  (fixes build with ac 2.60/am 1.10, stops hiding errors)
- BR: autoconf 2.59-9 not to BR libXt-devel

Revision 1.105  2006/09/24 17:03:44  arekm
- up to 1.4.3

Revision 1.104  2006/09/24 10:21:34  arekm
- rel 2 for th

Revision 1.103  2006/07/19 14:18:33  qboosh
- updated to 1.4.2, removed outdated libconfigure patch

Revision 1.102  2006/05/27 19:37:50  maciek2w
- updated to 1.4.1

Revision 1.101  2006/04/15 22:03:12  qboosh
- tab, killed PreReq

Revision 1.100  2006/04/14 12:00:41  snurf
- added missing BR

Revision 1.99  2006/03/19 10:49:51  maciek2w
- updated to 1.4.0

Revision 1.98  2006/02/01 13:15:46  maciek2w
- updated to 1.3.7

Revision 1.97  2006/01/21 00:01:17  arekm
- kill Icon: field (support for these is obsolete says jbj)

Revision 1.96  2005/10/12 12:38:14  pluto
- updated to 1.3.6.

Revision 1.95  2005/03/23 17:18:07  glen
- dropped SourceX-size

Revision 1.94  2005/01/05 22:48:51  havner
- rel 5 for aspell 0.50 rebuild

Revision 1.93  2004/12/11 00:22:07  ankry
- fixed kloczki^Wcieciwish

Revision 1.92  2004/12/10 03:44:43  ankry
- BR: bzip2-devel

Revision 1.91  2004/12/02 09:06:09  cieciwa
- removed GNOME support - too many errors in dependencies.

Revision 1.90  2004/12/01 15:52:35  cieciwa
- release 4,
- added GNOME frontend.

Revision 1.89  2004/11/07 12:36:26  paladine
- rel 3 for fixed desktop file

Revision 1.88  2004/10/30 16:31:59  qboosh
- updated qt-mt hack; release 2

Revision 1.87  2004/10/14 13:11:49  qboosh
- tetex BRs for xfonts

Revision 1.86  2004/10/08 14:10:22  arekm
- updated to 1.3.5

Revision 1.85  2004/09/23 11:27:37  arekm
- drop po patch

Revision 1.84  2004/09/23 10:51:05  arekm
- update

Revision 1.83  2004/09/10 15:16:32  arekm
- update from cvs (1.3.x stable branch); fixes problem with citation when using multiple lyx files included in one)

Revision 1.82  2004/08/17 08:45:46  ankry
- rel. 4 to rebuild with aiksaurus 1.2.1

Revision 1.81  2004/07/26 07:44:31  ankry
- no -> nb, rel. 3

Revision 1.80  2004/04/10 19:55:44  qboosh
- added Norwegian files

Revision 1.79  2004/04/10 19:16:09  qboosh
- link with qt-mt even if qt-st-devel is installed
- fixed build on amd64, switched to vfolders, release 2

Revision 1.78  2004/02/29 18:43:54  undefine
- update to 1.3.4 (by  Piotr Modzelewski <piotrm@projekt-sp.com.pl>)

Revision 1.77  2004/01/19 22:05:54  arekm
- rel 2; rebuild

Revision 1.76  2003/11/05 08:56:24  qboosh
- don't use %%attr(-,...); use %%lang() for docs translations

Revision 1.75  2003/10/31 15:30:04  qboosh
- s/Aiksaurus-devel/aiksaurus-devel/, commented unused ac,am BRs

Revision 1.74  2003/10/15 16:36:19  qboosh
- switched to .bz2, cleanups, use macro for texmf dir, fixed preun/postun

Revision 1.73  2003/10/12 21:40:30  arekm
- updated to 1.3.3

Revision 1.72  2003/08/18 08:08:19  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.71  2003/08/12 22:32:49  ankry
- cosmetics

Revision 1.70  2003/06/17 11:18:34  ankry
- md5

Revision 1.69  2003/05/25 05:50:21  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.68  2003/05/07 08:45:27  qboosh
- updated to 1.3.2

Revision 1.67  2003/04/23 09:25:59  wiget
- rebuild with qt 3.2-snap
- release 2

Revision 1.66  2003/03/25 09:20:55  misiek
- updated to 1.3.1

Revision 1.65  2003/02/28 10:08:01  trojan
- massive attack: perl -pi -e "s/^#+\%\{/#\%\%\{/"

Revision 1.64  2003/02/19 09:25:20  qboosh
- R: python-modules (for converters to work)

Revision 1.63  2003/02/12 09:29:41  ankry
- shut up %%post script, rel. 2

Revision 1.62  2003/02/11 18:54:18  misiek
- updated to 1.3.0

Revision 1.61  2003/02/03 15:25:14  qboosh
- 1.2.3, updated ac_fix patch, removed obsolete alpha patch
- fixed pixmapsdir

Revision 1.60  2003/01/18 22:53:34  juandon
- removed two lines with define

Revision 1.59  2002/10/29 01:34:52  ankry
- desktop moved to Office/Wordprocessors, cleaning, rel. 4

Revision 1.58  2002/10/07 13:49:48  qboosh
- BR: autoconf,automake

Revision 1.57  2002/09/05 10:48:59  qboosh
- fixed build on alpha, release 3

Revision 1.56  2002/07/13 19:17:14  mmazur
- bumped release
- use new %doc

Revision 1.55  2002/06/10 15:57:23  mmazur
- fixed building on nest. This should not break anything on ra. I hope :)
- btw: if anybody want's to turn on building with gtk go shoot yourself in
  the foot. Or use gnome2 instead :)

Revision 1.54  2002/05/30 15:49:35  kloczek
- add Epoch: 1 for allow upgrade from 1.2.0pre5 to 1.2.0,
- merge translations from Conectiva.

Revision 1.53  2002/05/30 14:56:17  mmazur
- updated to 1.2.0; STBR

Revision 1.52  2002/05/21 23:14:06  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.51  2002/05/06 22:18:05  mmazur
- added tetex-fonts to Req and BR

Revision 1.50  2002/05/05 16:02:46  aflinta
- updated to version 1.2.0pre5

Revision 1.49  2002/05/04 10:55:42  mmazur
- builds... somebody test it :)

Revision 1.48  2002/05/03 09:59:07  mmazur
- yeah... configure finally works... now somebody has to deal with
xforms/gnomemm/(any other toolkit)

Revision 1.47  2002/05/03 08:17:32  mmazur
- added ac/am generation... though configure doesn't work... am working
on it

Revision 1.46  2002/05/01 17:56:48  aflinta
- started update to version 1.2.0pre4

Revision 1.45  2002/02/22 23:29:14  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.44  2002/01/18 02:13:46  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.43  2001/07/26 07:52:37  kloczek
- use --without-debug conditionaly (depending on %%{debug}).

Revision 1.42  2001/07/25 15:00:33  undefine
- updated to 1.1.6fix3
- s/configure/configure2_13 (problems with m4 macros (?))

Revision 1.41  2001/05/02 16:29:09  qboosh
- adapterized and made spec %%debug ready or added using %%rpm*flags macros

Revision 1.40  2001/02/17 14:01:01  misiek
configure needs +x

Revision 1.39  2001/02/17 13:57:06  misiek
1.1.6fix1. stb

Revision 1.38  2001/02/17 13:09:14  dobrek
- Add Prereq: tetex

Revision 1.37  2001/02/02 17:50:34  kloczek
- perl -pi -e "s/^\%\{_datadir\}\/pixmaps/\%\{_pixmapsdir\}/"

Revision 1.36  2001/01/27 15:23:32  kloczek
- spec adapterized and added using rpm auatomation.

Revision 1.35  2001/01/27 14:48:15  misiek
Changed once again. STB

Revision 1.34  2001/01/27 13:36:49  misiek
exclusive arch due to xforms library

Revision 1.33  2001/01/27 00:19:44  misiek
1.1.6

Revision 1.32  2000/11/12 16:58:51  kloczek
- removed xpm-devel from BuildRequires.

Revision 1.31  2000/06/14 00:20:21  kloczek
- cosmetics,
- added beter C++ optimization "-fno-rtti -fno-exceptions" (it cut lyx
  binary size 25% - save ~500KB).

Revision 1.30  2000/06/14 00:18:14  kloczek
- spec adapterized,
- added package icon,
- desktop file moved to Office/Editors.

Revision 1.29  2000/06/09 07:23:25  kloczek
- added using %%{__make} macro.

Revision 1.28  2000/06/06 18:02:11  klakier
- ver 1.1.5
- removed old patches
- removed DESTDIR and pl patches (looks to be included in sources)
- changed BuildRequires: XFree86-libs-devel to XFree86-devel
- rebuild (ok)

Revision 1.27  2000/05/11 13:53:06  misiek
- added fix3 patch

Revision 1.26  2000/04/01 11:14:53  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.25  2000/03/28 16:54:41  baggins
- translated kloczkish into english

Revision 1.24  2000/03/27 15:49:24  misiek
- update

Revision 1.22  1999/10/11 17:33:59  kloczek
- now Serial is correct.

Revision 1.21  1999/10/11 16:06:52  kloczek
- fix serial.
